// Created by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class ValorWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new ValorWAddonDeed();
			}
		}

		[ Constructable ]
		public ValorWAddon()
		{
			AddComponent( new AddonComponent( 5305 ), 1, 1, 0 );
			AddComponent( new AddonComponent( 5306 ), 1, 0, 0 );
			AddComponent( new AddonComponent( 5303 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 5304 ), 0, 1, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 5303 );
			AddComponent( ac, 0, 0, 0 );

		}

		public ValorWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class ValorWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new ValorWAddon();
			}
		}

		[Constructable]
		public ValorWAddonDeed()
		{
			Name = "Valor West";
Hue = 2901;
		}

		public ValorWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}